import { MessageTypes } from '../common'
import { numberToUint16BE } from '../utilities/number'
import { packOutgoingPacket } from './packet'

const MESSAGE_TYPE = numberToUint16BE(MessageTypes.Keepalive)

/**
 * Create an outgoing keepalive (0x0005) packet.
 * @returns An outgoing keepalive (0x0005) packet.
 */
export function packKeepaliveMessage (): Buffer {
  return packOutgoingPacket({
    messageType: MESSAGE_TYPE,
    data: Buffer.alloc(0)
  })
}
